﻿.content {
    width: 100%;
    height: 100%;
}

.map-container {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.map {
    /*overflow: hidden;*/
    background-size: 100%;
    background-position: center;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    .map.of_ash_and_steel {
        width: 4096px;
        height: 4096px;
        background-image: url("/Images/Maps/of_ash_and_steel.jpg");
    }

    .map.strings_of_fate_XI {
        width: 4096px;
        height: 4096px;
        background-image: url("/Images/Maps/strings_of_fate_XI.jpg");
    }

    .map.sacralium {
        width: 4096px;
        height: 4096px;
        background-image: url("/Images/Maps/sacralium.png");
    }

.prevent-select span {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.pin-wrapper {
    position: absolute;
    z-index: 1;
}


    .pin-wrapper:hover {
        position: absolute;
        z-index: 100;
    }

    .pin-wrapper .pin {
        margin: auto;
        width: 50px;
        height: 50px;
    }

    .pin-wrapper .text {
        display: none;
        position: absolute;
        background-color: white;
    }

    .pin-wrapper:hover > .text {
        display: block;
        white-space: pre-wrap;
        background-color: black;
        opacity: 70%;
        color: beige;
        bottom: 120%;
        left: -50px;
        padding: 5px;
        position: absolute;
        width: 200px;
        width: max-content;
        max-width: 300px;
        min-width: 150px;
    }

        .pin-wrapper:hover > .text > h6 {
            text-align: center;
        }


.icons-container {
    display: flex;
    flex-wrap: wrap;
}

.map-icon {
    width: 50px;
    height: 50px;
    background-size: 100%;
}

.icons-container .map-icon {
    width: 35px;
    height: 35px;
    background-size: 100%;
}

.map-icon.selected {
    border: 3px solid black;
}

.legend {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: fixed;
    z-index: 99999;
    background-color: black;
    opacity: 90%;
    color: beige;
    padding: 5px;
    max-height: 100%;
    overflow: auto;
}

    .legend > div {
        display: flex;
        align-items: center;
    }

    .legend .map-icon {
        width: 35px;
        height: 35px;
        background-size: 100%;
    }

.hide-scrollbar {
    /* Hide scrollbar for IE, Edge and Firefox */
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera (Webkit browsers) */
.hide-scrollbar::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Opera */
}